msg_set_queue
sem_acquire
Semaphore Functions
PHP Manual

# msg_stat_queue

(PHP 4 >= 4.3.0, PHP 5)

msg_stat_queue — Returns information from the message queue data structure

### Description

array msg_stat_queue ( resource `$queue` )

msg_stat_queue() returns the message queue meta data for the message queue specified by the `queue` . This is useful, for example, to determine which process sent the message that was just received.

### Parameters

`queue`

  Message queue resource handle

### Return Values

The return value is an array whose keys and values have the following meanings:

Array structure for msg_stat_queue
msg_perm.uid | The uid of the owner of the queue.
msg_perm.gid | The gid of the owner of the queue.
msg_perm.mode | The file access mode of the queue.
msg_stime | The time that the last message was sent to the queue.
msg_rtime | The time that the last message was received from the queue.
msg_ctime | The time that the queue was last changed.
msg_qnum | The number of messages waiting to be read from the queue.
msg_qbytes | The number of bytes of space currently available in the queue to hold sent messages until they are received.
msg_lspid | The pid of the process that sent the last message to the queue.
msg_lrpid | The pid of the process that received the last message from the queue.

### See Also

- msg_remove_queue()
- msg_receive()
- msg_get_queue()
- msg_set_queue()

msg_set_queue
sem_acquire
Semaphore Functions
PHP Manual